Create Resident Charge: Rentvine
POST
https://api.propexo.com/v1/resident-charges/rentvine/| Method | Interface |
|---|---|
| POST /api/manager/accounting/leases/{leaseID}/charges | Accounting |
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
integration_idstringrequired
The Propexo unique identifier for the integration
lease_idstringrequired
The Propexo unique identifier for the lease
financial_account_idstringrequired
The Propexo unique identifier for the financial account
amount_in_centsintegerrequired
The amount of the resident charge, in cents
Possible values: > 0
transaction_datestringrequired
The transaction date of the resident charge
Show 2 variants
descriptionstringrequired
Description of the resident charge
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
lease_idstringrequired
The Propexo unique identifier for the lease
financial_account_idstringrequired
The Propexo unique identifier for the financial account
amount_in_centsintegerrequired
The amount of the resident charge, in cents
Possible values: > 0
transaction_datestring | nullnullablerequired
Show 2 variants
descriptionstringrequired
Description of the resident charge
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-charges/rentvine/
curl -X POST https://api.propexo.com/v1/resident-charges/rentvine/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"transaction_date": "2024-07-29T15:51:28.071Z",
"description": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"transaction_date": "2024-07-29T15:51:28.071Z",
"description": "string"
}
}